export enum Direction {
  POSITIVE,
  NEGATIVE,
  UNCHANGED
}

export enum SocketEvent {
  CLOSE = '52',
  DATA = '51',
  CHARACTER_CONNECT = '50',
  CHARACTER_CREATE = '49',
  CHARACTER_DELETE = '48',
  CHARACTER_LIST = '47',
  GM_CHARACTERHAIR_CREATE = '46',
  GM_CHARACTERHAIR_REMOVE = '45',
  GM_CHARACTERHAIR_LIST = '44',
  GM_CHARACTERHAIR_UPDATE = '43',
  GM_CHARACTERTYPE_CREATE = '42',
  GM_CHARACTERTYPE_REMOVE = '41',
  GM_CHARACTERTYPE_LIST = '40',
  GM_CHARACTERTYPE_UPDATE = '39',
  GM_ITEM_CREATE = '38',
  GM_ITEM_REMOVE = '37',
  GM_ITEM_LIST = '36',
  GM_ITEM_UPDATE = '35',
  GM_MAPOBJECT_LIST = '34',
  GM_MAPOBJECT_REMOVE = '33',
  GM_MAPOBJECT_UPDATE = '32',
  GM_MAPOBJECT_UPLOAD = '31',
  GM_SPRITE_COPY = '30',
  GM_SPRITE_CREATE = '29',
  GM_SPRITE_DELETE = '28',
  GM_SPRITE_LIST = '27',
  GM_SPRITE_UPDATE = '26',
  GM_TILE_DELETE = '25',
  GM_TILE_LIST = '24',
  GM_TILE_UPDATE = '23',
  GM_TILE_UPLOAD = '22',
  GM_MAP_CREATE = '21',
  GM_MAP_DELETE = '20',
  GM_MAP_REQUEST = '19',
  GM_MAP_UPDATE = '18',
  MAP_CHARACTER_MOVEERROR = '17',
  DISCONNECT = '16',
  USER_DISCONNECT = '15',
  LOGIN = '14',
  LOGGED_IN = '13',
  NOTIFICATION = '12',
  DATE = '11',
  FAILED = '10',
  COMPLETED = '9',
  CONNECTION = '8',
  WEATHER = '7',
  CHARACTER_DISCONNECT = '6',
  MAP_CHARACTER_ATTACK = '5',
  MAP_CHARACTER_TELEPORT = '4',
  MAP_CHARACTER_JOIN = '3',
  MAP_CHARACTER_LEAVE = '2',
  MAP_CHARACTER_MOVE = '1',
  CHAT_MESSAGE = '0',
}